#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 cryptonite-conduit
version:              0.2.2
visibility:           public
id:                   cryptonite-conduit-0.2.2-7Pd9IvqTnsOI8tiuslp2Vd
key:                  cryptonite-conduit-0.2.2-7Pd9IvqTnsOI8tiuslp2Vd
license:              BSD-3-Clause
copyright:            Vincent Hanquez <vincent@snarc.org>
maintainer:           vincent@snarc.org
author:               Vincent Hanquez <vincent@snarc.org>
stability:            experimental
homepage:             https://github.com/haskell-crypto/cryptonite-conduit
synopsis:             cryptonite conduit
description:
    Conduit bridge for cryptonite

    For now only provide a conduit version for hash and hmac, but
    with contribution, this could provide cipher conduits too,
    and probably other things.

category:             Cryptography, Conduit
abi:                  531a0d586706c31581a90e932d50c4d7
exposed:              True
exposed-modules:
    Crypto.Cipher.ChaChaPoly1305.Conduit Crypto.Hash.Conduit
    Crypto.MAC.HMAC.Conduit Crypto.PubKey.ECIES.Conduit

import-dirs:          /usr/lib/ghc-9.0.2/site-local/cryptonite-conduit-0.2.2
library-dirs:         /usr/lib/ghc-9.0.2/site-local/cryptonite-conduit-0.2.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-cryptonite-conduit
hs-libraries:         HScryptonite-conduit-0.2.2-7Pd9IvqTnsOI8tiuslp2Vd
depends:
    base-4.15.1.0 bytestring-0.10.12.1
    conduit-1.3.4.2-3ize03GpnWc9m0IW4KzDCT
    conduit-extra-1.3.6-46KbiR1cUgSIFAUGOc42IU
    cryptonite-0.30-HCDxVtNjRPPFwiyT6JMggg exceptions-0.10.4
    memory-0.17.0-CJJwCTl3QuwCxlJovCa0Bf
    resourcet-1.2.5-57cDD5gh8ZkIiqQoFkkzIL transformers-0.5.6.2

haddock-interfaces:
    /usr/share/doc/haskell-cryptonite-conduit/html/cryptonite-conduit.haddock

haddock-html:         /usr/share/doc/haskell-cryptonite-conduit/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

